import { SvgIconProps } from "../../app/types/types";


export function BillStatusIcon(props: SvgIconProps) {
  return (
    <svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg" {...props}>
      <path
        d="M9.5 1.999C9.405 1.999 9.30973 2.01716 9.21973 2.05466L7.01465 2.93455L5.05469 2.06541C4.81969 1.96041 4.55484 1.98009 4.33984 2.12009C4.12984 2.26009 4 2.49498 4 2.74998V21.25C4 21.505 4.12984 21.7399 4.33984 21.8799C4.55484 22.0199 4.82469 22.0395 5.05469 21.9345L7.01465 21.0654L9.21973 21.9453C9.39973 22.0203 9.60027 22.0203 9.78027 21.9453L12 21.0595L12.085 21.0947C11.795 20.6597 11.5599 20.1904 11.3799 19.6904L9.5 20.4404L7.28027 19.5547C7.09027 19.4797 6.88031 19.4804 6.69531 19.5654L5.5 20.0947V3.90525L6.69531 4.43455C6.88031 4.51955 7.09027 4.52029 7.28027 4.44529L9.5 3.55955L11.7197 4.44529C11.8997 4.52029 12.1003 4.52029 12.2803 4.44529L14.5 3.55955L16.7197 4.44529C16.9097 4.52029 17.1197 4.51955 17.3047 4.43455L18.5 3.90525V11.0752C19.025 11.1602 19.525 11.3 20 11.5V2.74998C20 2.49498 19.8702 2.26009 19.6602 2.12009C19.4452 1.98509 19.1803 1.96041 18.9453 2.06541L16.9854 2.93455L14.7803 2.05466C14.6003 1.97966 14.3997 1.97966 14.2197 2.05466L12 2.94041L9.78027 2.05466C9.69027 2.01716 9.595 1.999 9.5 1.999ZM7.75 7.49998C7.65062 7.49857 7.55194 7.51693 7.45972 7.55399C7.36749 7.59105 7.28355 7.64607 7.21277 7.71586C7.142 7.78564 7.08579 7.86879 7.04743 7.96049C7.00907 8.05218 6.98932 8.15058 6.98932 8.24998C6.98932 8.34937 7.00907 8.44777 7.04743 8.53947C7.08579 8.63116 7.142 8.71431 7.21277 8.7841C7.28355 8.85388 7.36749 8.9089 7.45972 8.94596C7.55194 8.98302 7.65062 9.00138 7.75 8.99998H16.25C16.3494 9.00138 16.4481 8.98302 16.5403 8.94596C16.6325 8.9089 16.7164 8.85388 16.7872 8.7841C16.858 8.71431 16.9142 8.63116 16.9526 8.53947C16.9909 8.44777 17.0107 8.34937 17.0107 8.24998C17.0107 8.15058 16.9909 8.05218 16.9526 7.96049C16.9142 7.86879 16.858 7.78564 16.7872 7.71586C16.7164 7.64607 16.6325 7.59105 16.5403 7.55399C16.4481 7.51693 16.3494 7.49857 16.25 7.49998H7.75ZM17.5 12C14.4625 12 12 14.4625 12 17.5C12 20.5375 14.4625 23 17.5 23C20.5375 23 23 20.5375 23 17.5C23 14.4625 20.5375 12 17.5 12ZM7.75 12.5C7.335 12.5 7 12.835 7 13.25C7 13.665 7.335 14 7.75 14H12.0254C12.3854 13.43 12.8346 12.925 13.3496 12.5H7.75ZM20.5 15C20.6279 15 20.7558 15.0487 20.8535 15.1465C21.049 15.342 21.049 15.658 20.8535 15.8535L16.8535 19.8535C16.756 19.951 16.628 20 16.5 20C16.372 20 16.244 19.951 16.1465 19.8535L14.1465 17.8535C13.951 17.658 13.951 17.342 14.1465 17.1465C14.342 16.951 14.658 16.951 14.8535 17.1465L16.5 18.7929L20.1465 15.1465C20.2442 15.0487 20.3721 15 20.5 15ZM7.75 15.5C7.335 15.5 7 15.835 7 16.25C7 16.665 7.335 17 7.75 17H11.0254C11.0604 16.48 11.1604 15.98 11.3154 15.5H7.75Z"
        fill="#302353"
      />
    </svg>
  )
}
